import Vue from 'vue'
import Router from 'vue-router'
import demoRouter from '../../packages/components/demoRoute'

// test工具类

const Form = resolve => require.ensure([], () => { resolve(require('@/pages/form')) }, 'form')

const Demo = resolve => require.ensure([], () => { resolve(require('@/pages/demo')) }, 'demo')
const Home = resolve => require.ensure([], () => { resolve(require('@/pages/home')) }, 'home')
const HlsPopup = resolve => require.ensure([], () => { resolve(require('@/pages/hlsPopup')) }, 'hlsPopup')
const HFile = () => import(/* webpackChunkName:'HFile' */ '@/pages/fileTest')
const scrollTest = resolve => require.ensure([], () => { resolve(require('@/pages/scrollTest')) }, 'scroll')

let pagesRoute = [
  {
    path: '/',
    redirect: '/demo',
  },
  {path: '/demo', component: Demo, name: 'Demo', meta: {keepAlive: true}},
  {path: '/home', component: Home, name: 'Home', meta: {keepAlive: false}},
  // test工具类
  {path: '/hls-popup', component: HlsPopup, name: 'HlsPopup', meta: {keepAlive: false}},

  {path: '/HFile', component: HFile, name: 'HFile', meta: {keepAlive: true}},
  {path: '/Form', component: Form, name: 'Form', meta: {keepAlive: true}},
  {path: '/scrollTest', component: scrollTest, name: 'scrollTest', meta: {keepAlive: true}},
]

let routes = new Set([...pagesRoute, ...demoRouter])

Vue.use(Router)

export default new Router({
  routes,
  scrollBehavior (to, from, savedPosition) {
    if (to.hash) {
      return {
        selector: to.hash,
      }
    }
  },
})
